## ichthux-default-settings 6.10-2ubuntu1

=== artwork/throbber/Makefile ===
#!/usr/bin/make -f

DESTDIR = "../../debian/tmp"
SETTINGS_DIR = "$(DESTDIR)/usr/share/ichthux-default-settings"
iconsdir = "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg"

build: kde.png

install: kde.png
	mkdir -p $(iconsdir)/16x16/actions
	install -m644 16x16/kde.png $(iconsdir)/16x16/actions
	mkdir -p $(iconsdir)/22x22/actions
	install -m644 22x22/kde.png $(iconsdir)/22x22/actions
	mkdir -p $(iconsdir)/32x32/actions
	install -m644 32x32/kde.png $(iconsdir)/32x32/actions
	mkdir -p $(iconsdir)/48x48/actions
	install -m644 48x48/kde.png $(iconsdir)/48x48/actions

clean:
	for size in 16 22 32 48; do \
	  rm -rf $${size}x$${size}; \
	done

distclean: clean
	-rm -f Makefile

kde.png:
	for size in 16 22 32 48; do \
	  mkdir $${size}x$${size}; \
	  seq -w 01 36 | while read image; do \
	    rsvg-convert -h $${size} -w $${size} \
                 -o $${size}x$${size}/ichthux-00$${image}.png \
                 svg/ichthux-00$${image}.svg ; \
	  done; \
          montage -tile 1 -geometry $${size} $${size}x$${size}/ichthux-*.png $${size}x$${size}/kde.png; \
	done

## ichthux-default-settings 6.10-2

=== debian/changelog ===
ichthux-default-settings (1:6.10-2) edgy; urgency=low

  * New KDM/Ksplash themes
  * New wallpaper
  * New usplash theme
  * New kmenu sidebar
  * Add Konqueror background
  * Add usplash-dev to Build-Depends to build new usplash

 -- Raphaël Pinson <raphink@ichthux.com>  Mon, 16 Oct 2006 21:36:15 +0200

ichthux-default-settings (1:6.10-1) edgy; urgency=low

  * First Edgy version
  * Depend on kubuntu-default-settings to not duplicate settings
  * Add ichthux-default-settings to kderc
  * Replace kderc from kubuntu-default-settings
  * Clean duplicate settings to keep only the minimum for Ichthux
  * Remove dependency on superkaramba-theme-losungen

 -- Raphaël Pinson <raphink@ichthux.com>  Mon, 18 Sep 2006 14:37:47 +0200

ichthux-default-settings (1:6.09-13) grace; urgency=low

  * Add kdictrc to use localhost as default dictd server 

 -- Raphaël Pinson <raphink@ichthux.com>  Sat,  9 Sep 2006 17:00:09 +0200

ichthux-default-settings (1:6.09-12) grace; urgency=low

  * Use GentiumAlt as default font for Ancient Greek in BibleTime

 -- Raphaël Pinson <raphink@ichthux.com>  Thu,  7 Sep 2006 10:14:39 +0200

ichthux-default-settings (1:6.09-11) grace; urgency=low

  * Add superkarambarc, and a session for superkaramba to run the losungen
    theme by default.
  * Add dependencies on the superkaramba losungen theme. 

 -- Raphaël Pinson <raphink@ichthux.com>  Tue,  5 Sep 2006 14:35:03 +0200

ichthux-default-settings (1:6.09-10) grace; urgency=low

  * Add a Kio-Sword button to the KDE bar. 

 -- Raphaël Pinson <raphink@ubuntu.com>  Sun,  3 Sep 2006 21:16:09 +0200

ichthux-default-settings (1:6.09-9) grace; urgency=low

  * Changed Maintainer's name in debian/control. 

 -- Raphaël Pinson <raphink@ubuntu.com>  Sun, 27 Aug 2006 00:26:23 +0200

ichthux-default-settings (1:6.09-8) grace; urgency=low

  * Made an ichthux-kmenu-side.png theme for kicker. 

 -- Raphaël Pinson <raphink@ubuntu.com>  Sat, 26 Aug 2006 16:56:58 +0200

ichthux-default-settings (1:6.09-7) grace; urgency=low

  * New version of the Ichthux usplash 

 -- Raphaël Pinson <raphink@ubuntu.com>  Sat, 26 Aug 2006 13:27:19 +0200

ichthux-default-settings (1:6.09-6) grace; urgency=low

  * New usplash theme for Ichthux. 

 -- Raphaël Pinson <raphink@ubuntu.com>  Sat, 26 Aug 2006 12:53:09 +0200

ichthux-default-settings (1:6.09-5) grace; urgency=low

  * Calling the Ksplash theme back to kubuntu because it won't work with the
    moodin Kubuntu patch. 

 -- Raphaël Pinson <raphink@ubuntu.com>  Sat, 26 Aug 2006 12:31:24 +0200

ichthux-default-settings (1:6.09-4) grace; urgency=low

  * Fix installation path and postinst for the KDM theme. 
  * Fix default theme in ksplashrc

 -- Raphaël Pinson <raphink@ubuntu.com>  Sat, 26 Aug 2006 11:29:15 +0200

ichthux-default-settings (1:6.09-3) grace; urgency=low

  * Fix postinst and postrm to install/deinstall the Ichthux KDM theme. 

 -- Raphaël Pinson <raphink@ubuntu.com>  Sat, 26 Aug 2006 11:09:26 +0200

ichthux-default-settings (1:6.09-2) grace; urgency=low

  * Added ksplash and kdm-theme for Ichthux, based on the Kubuntu themes. 

 -- Raphaël Pinson <raphink@ubuntu.com>  Sat, 26 Aug 2006 10:59:54 +0200

ichthux-default-settings (1:6.09-1) grace; urgency=low

  * Switch to ichthux version numbering for grace.

 -- Raphaël Pinson <raphink@ubuntu.com>  Mon, 21 Aug 2006 21:18:26 +0200

ichthux-default-settings (1:6.06-24) grace; urgency=low

  * Add artwork/throbber icons
  * Add artwork/throbber/Makefile, and adapt Makefile accordingly 
  * Add ichthux-wallpaper.png[.desktop] and install it as default for kdesktop
      Note: not installed for kdm because it wouldn't fit
  * Add Build-Depends on librsvg2-bin and imagemagick to build the icons

 -- Raphaël Pinson <raphink@ubuntu.com>  Sat, 19 Aug 2006 02:28:32 +0200

ichthux-default-settings (1:6.06-23) grace; urgency=low

  * Add Frank Ruehl font for Hebrew in BibleTime

 -- Raphaël Pinson <raphink@ubuntu.com>  Tue, 15 Aug 2006 11:15:00 +0200

ichthux-default-settings (1:6.06-22) grace; urgency=low

  * Package based on kubuntu-default-settings for Dapper
  * Add BibleTime icon to kickerrc
  * Add conflicts with kubuntu packages in debian/control

 -- Raphaël Pinson <raphink@ubuntu.com>  Sun,  13 Aug 2006 21:32:35 +0100

 

kubuntu-default-settings (1:6.06-22) dapper-updates; urgency=low

  * Updated profilerc for correct kmplayer integration regarding to Real
    streaming and audio streaming

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon,  01 June 2006 01:31:35 +0100

kubuntu-default-settings (1:6.06-21) dapper; urgency=low

  * Add application/x-mplayer2 to profilerc to make KMPlayer 
    the default Konqueror plugin

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 28 May 2006 18:24:29 +0100

kubuntu-default-settings (1:6.06-20) dapper; urgency=low

  * Update preview image for kdm to match actual theme

 -- Kenneth Wimer <kwwii@bootsplash.org>  Thu, 18 May 2006 23:26:46 +0200

kubuntu-default-settings (1:6.06-19) dapper; urgency=low

  * Revert previous change (usplash)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 18 May 2006 12:38:34 +0100

kubuntu-default-settings (1:6.06-18) dapper; urgency=low

  * New usplash artwork from omeg.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 18 May 2006 07:32:52 +0100

kubuntu-default-settings (1:6.06-17) dapper; urgency=low

  * Updated KDM artwork from Ken Wimer

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 May 2006 00:16:19 +0100

kubuntu-default-settings (1:6.06-16) dapper; urgency=low

  * Added kmailrc, to remove the "View/Total" column in folder list by default, 
    change View/Unread count to "View After folder name" better for
    usability/space usage (closes Malone #42486)

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 12 May 2006 02:25:34 +0100

kubuntu-default-settings (1:6.06-15) dapper; urgency=low

  [ javier ]
  * Added email.desktop taken from http://www.kde-forum.org/post/56944/lastpost.html

  [ Anthony Mercatante ]
  * Add image preview on the desktop


=== debian/control ===
Source: ichthux-default-settings
Section: kde
Priority: optional
Maintainer: Raphaël Pinson <raphink@ichthux.com>
Build-Depends: debhelper (>= 5), cdbs, libbogl-dev, librsvg2-bin, imagemagick, usplash-dev
Standards-Version: 3.7.2

Package: ichthux-default-settings
Architecture: all
Depends: kde-style-lipstik, kdm, ksplash-engine-moodin, kwin-style-crystal, bibletime, ichthux-emoticons, kubuntu-default-settings
Description: Default settings and artwork for the Ichthux desktop
 This package contains the default settings used by Ichthux.  It also
 includes artwork and Ichthux branding.

Package: ichthux-artwork-usplash
Architecture: any
Depends: ${shlibs:Depends}
Recommends: usplash
Description: Ichthux artwork for usplash
 The usplash startup screen for Ichthux.

## ichthux-default-settings 6.10-2ubuntu1

=== debian/changelog ===
ichthux-default-settings (1:6.10-2ubuntu1) gutsy; urgency=low

  * Update usplash-dev b-d to libusplash-dev
  * Update maintainer per spec

 -- Barry deFreese <bddebian@comcast.net>  Thu, 13 Sep 2007 14:41:10 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: ichthux-default-settings
 Section: kde
 Priority: optional
-Maintainer: Raphaël Pinson <raphink@ichthux.com>
-Build-Depends: debhelper (>= 5), cdbs, libbogl-dev, librsvg2-bin, imagemagick, usplash-dev
+Maintainer: Ubuntu MOTU Team <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Raphaël Pinson <raphink@ichthux.com>
+Build-Depends: debhelper (>= 5), cdbs, libbogl-dev, librsvg2-bin, imagemagick, libusplash-dev
 Standards-Version: 3.7.2
 
 Package: ichthux-default-settings

## ichthux-default-settings 6.10-2ubuntu2

=== debian/changelog ===
ichthux-default-settings (1:6.10-2ubuntu2) intrepid; urgency=low

  [ Ralph Janke ]
  * Changed dependency on ksplash-engine-moodin to kdebase-workspace-bin
    (LP: #254061)
  * Fixed postinst script (echo -e -> echo) in order to be sh compatible
  * Brought package to Standard 3.8.0
  * Fixed long line in debian/copyright

  [ Colin Watson ]
  * Call 'update-initramfs -u' on removal (LP: #83410).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Sep 2008 18:34:51 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Ubuntu MOTU Team <ubuntu-motu@lists.ubuntu.com>
 XSBC-Original-Maintainer: Raphaël Pinson <raphink@ichthux.com>
 Build-Depends: debhelper (>= 5), cdbs, libbogl-dev, librsvg2-bin, imagemagick, libusplash-dev
-Standards-Version: 3.7.2
+Standards-Version: 3.8.0
 
 Package: ichthux-default-settings
 Architecture: all
-Depends: kde-style-lipstik, kdm, ksplash-engine-moodin, kwin-style-crystal, bibletime, ichthux-emoticons, kubuntu-default-settings
+Depends: kde-style-lipstik, kdm, kdebase-workspace-bin, kwin-style-crystal, bibletime, ichthux-emoticons, kubuntu-default-settings
 Description: Default settings and artwork for the Ichthux desktop
  This package contains the default settings used by Ichthux.  It also
  includes artwork and Ichthux branding.

## ichthux-default-settings 6.10-2ubuntu3

=== Makefile ===
PACKAGE = ichthux-default-settings
VERSION = 6.10

WALLPAPER_DIR = "$(DESTDIR)/usr/share/wallpapers"
SOUNDS_DIR = "$(DESTDIR)/usr/share/sounds"
KICKER_DIR = "$(DESTDIR)/usr/share/apps/kicker"
KONQ_TILES_DIR = "$(DESTDIR)/usr/share/apps/konqueror/tiles"
KDM_THEME_DIR = "$(DESTDIR)/usr/share/apps/kdm/themes/ichthux"
KSPLASH_THEME_DIR = "$(DESTDIR)/usr/share/apps/ksplash/Themes/ichthux"
SETTINGS_DIR = "$(DESTDIR)/usr/share/ichthux-default-settings"
CURSOR_DIR = "$(DESTDIR)/usr/share/icons/ichthux"

build:
	make -C usplash
	make -C artwork/throbber

clean:
	make -C usplash clean
	make -C artwork/throbber clean

install:
	make -C usplash install
	make -C artwork/throbber install

	mkdir -p "$(WALLPAPER_DIR)"
	install -m644 artwork/ichthux-wallpaper.png  "$(WALLPAPER_DIR)"
	install -m644 artwork/ichthux-wallpaper.png.desktop  "$(WALLPAPER_DIR)"

## No specific login sound yet
#	mkdir -p "$(SOUNDS_DIR)"
#	install -m644 artwork/ichthux-login.ogg  "$(SOUNDS_DIR)"

	mkdir -p "$(KONQ_TILES_DIR)"
	install -m644 artwork/ichthux-konqueror-background.png  "$(KONQ_TILES_DIR)"

	mkdir -p "$(KICKER_DIR)/pics"
	install -m644 artwork/ichthux-kmenu-side.png  "$(KICKER_DIR)/pics/"
	install -m644 artwork/ichthux-kmenu-side-tile.png  "$(KICKER_DIR)/pics/"

	mkdir -p "$(KDM_THEME_DIR)"
	install -m644 artwork/kdm-theme/*  "$(KDM_THEME_DIR)"

	mkdir -p "$(KSPLASH_THEME_DIR)"
	install -m644 artwork/ksplash/*  "$(KSPLASH_THEME_DIR)"
	ln -s /usr/share/wallpapers/ichthux-wallpaper.png "$(KSPLASH_THEME_DIR)/Background.png"

## No specific metabar theme yet
#	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/metabar/themes/kubuntu"
#	install -m644 artwork/metabar/*  "$(SETTINGS_DIR)/kde-profile/default/share/apps/metabar/themes/kubuntu"

#	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/amarok/themes/kubuntu"
#	install -m644 artwork/amarok/*  "$(SETTINGS_DIR)/kde-profile/default/share/apps/amarok/themes/kubuntu"

#	mkdir -p "$(DESTDIR)/etc/qt3"
#	install -m644 qt-rc-files/*rc "$(DESTDIR)/etc/qt3"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/config/"
	install -m644 kde-rc-files/*rc "$(SETTINGS_DIR)/kde-profile/default/share/config/"
#	install -m644 kde-rc-files/uiserver "$(SETTINGS_DIR)/kde-profile/default/share/config/"
#	install -m644 kde-rc-files/kdeglobals "$(SETTINGS_DIR)/kde-profile/default/share/config/"
#	install -m644 kde-rc-files/cryptodefaults "$(SETTINGS_DIR)/kde-profile/default/share/config/"

	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/config/session/"
	install -m644 kde-rc-files/session/* "$(SETTINGS_DIR)/kde-profile/default/share/config/session/"

## No specific color schemes yet
#	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/kdisplay/color-schemes/"
#	install -m644 colour-schemes/*rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/kdisplay/color-schemes/"

## No specific cursors yet
#	mkdir -p "$(CURSOR_DIR)/cursors"
#	install -m644 cursors/index.theme "$(CURSOR_DIR)/"
#	install -m644 cursors/cursors/* "$(CURSOR_DIR)/cursors"

#	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/konqueror/"
#	install -m644 ui-rc-files/konq-kubuntu.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/konqueror/"
#	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/konversation/"
#	install -m644 ui-rc-files/konversationui.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/konversation/"
#	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/kopete/"
#	install -m644 ui-rc-files/kopetechatwindow.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/kopete/"
#	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/gwenview/"
#	install -m644 ui-rc-files/gwenviewui.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/gwenview/"

#	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/konqueror/profiles"
#	install -m644 konqueror-profile/profiles/webbrowsing "$(SETTINGS_DIR)/kde-profile/default/share/apps/konqueror/profiles"
#	install -m644 konqueror-profile/profiles/filemanagement "$(SETTINGS_DIR)/kde-profile/default/share/apps/konqueror/profiles"
#	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/konqueror/servicemenus/"
#	install -m644 konqueror-profile/kubuntu-servicemenu.desktop "$(SETTINGS_DIR)/kde-profile/default/share/apps/konqueror/servicemenus/kubuntu-servicemenu.desktop"
#	install -m644 konqueror-profile/email.desktop "$(SETTINGS_DIR)/kde-profile/default/share/apps/konqueror/servicemenus/email.desktop"
#	mkdir -p "$(DESTDIR)/usr/bin"
#	install -m755 konqueror-profile/kubuntu-servicemenu.sh "$(DESTDIR)/usr/bin/kubuntu-servicemenu.sh"

#	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/64x64/actions/"
#	install -m644 kaffeine/fileopen64.png "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/64x64/actions/fileopen.png"
#	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/128x128/actions/"
#	install -m644 kaffeine/fileopen128.png "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/128x128/actions/fileopen.png"
#	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/icons/crystalsvg/scalable/actions/"

#	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/kaffeine/"
#	install -m644 kaffeine/wizard_stamp_v0.7.1 "$(SETTINGS_DIR)/kde-profile/default/share/apps/kaffeine"

#	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/kpdfpart/"
#	install -m644 kpart-rc-files/part.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/kpdfpart/"

#	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/gvimagepart/"
#	install -m644 kpart-rc-files/gvimagepart.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/gvimagepart/"

#	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/ark/"
#	install -m644 kpart-rc-files/ark_part.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/ark/"

#	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/ksvg/"
#	install -m644 kpart-rc-files/ksvgplugin.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/ksvg/"

#	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/khtml/"
#	install -m644 kpart-rc-files/khtml_browser.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/khtml/"

#	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/mimelnk/application/"
#	install -m644 mimelnk/x-tar.desktop "$(SETTINGS_DIR)/kde-profile/default/share/mimelnk/application/"
#	install -m644 mimelnk/x-tarz.desktop "$(SETTINGS_DIR)/kde-profile/default/share/mimelnk/application/"
#	install -m644 mimelnk/x-tbz.desktop "$(SETTINGS_DIR)/kde-profile/default/share/mimelnk/application/"
#	install -m644 mimelnk/x-tgz.desktop "$(SETTINGS_DIR)/kde-profile/default/share/mimelnk/application/"
#	install -m644 mimelnk/x-zip.desktop "$(SETTINGS_DIR)/kde-profile/default/share/mimelnk/application/"

#	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/icons/default/"
#	install -m644 cursors/default/index.theme "$(SETTINGS_DIR)/kde-profile/default/share/icons/default/"

#	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/konqiconview/kpartplugins/"
#	install -m644 kpart-plugins/dirfilterplugin.rc "$(SETTINGS_DIR)/kde-profile/default/share/apps/konqiconview/kpartplugins/"

#	mkdir -p "$(SETTINGS_DIR)/kde-profile/default/share/apps/kwallet/"
#	install -m644 kwallet-default-wallet/kdewallet.kwl "$(SETTINGS_DIR)/kde-profile/default/share/apps/kwallet/"

#	install -m644 gtk-qt-engine-rc-files/gtk_qt_engine_rc "$(SETTINGS_DIR)/.gtk_qt_engine_rc"
#	install -m644 gtk-qt-engine-rc-files/gtkrc-2.0 "$(SETTINGS_DIR)/.gtkrc-2.0"

=== usplash/Makefile ===
C=gcc
CFLAGS=-g -Wall -fPIC
LDFLAGS=
INCLUDES=

COMPILE = $(CC) $(INCLUDES) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS)

INSTALL = /usr/bin/install -c
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL) -m 755

usplash-theme-ichthux.so: throbber_back.png.c.o throbber_fore.png.c.o usplash_1024_768.png.c.o usplash_1365_768_scaled.png.c.o usplash_800_600.png.c.o usplash-theme-ichthux.c.o
	$(COMPILE) -shared -o $@ $^
	
%.png.c: %.png
	pngtousplash $< > $@

%.bdf.c: %.bdf
	bdftousplash $< > $@

%.c.o: %.c
	$(COMPILE) -o $@ -c $< -fPIC

install:
	$(INSTALL) -d $(DESTDIR)/usr/lib/usplash
	$(INSTALL_PROGRAM) usplash-theme-ichthux.so $(DESTDIR)/usr/lib/usplash/usplash-theme-ichthux.so
clean:
	rm -f *.png.c *.bdf.c *.c.o *.so

=== debian/changelog ===
ichthux-default-settings (1:6.10-2ubuntu3) jaunty; urgency=low

  * Removed dependency on kde-style-lipstick (LP: #329517)
  * Changed dependency on slocate to mlocate (LP: #329502)

 -- Ralph Janke <txwikinger@ubuntu.com>  Sat, 14 Feb 2009 15:35:57 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: ichthux-default-settings
 Architecture: all
-Depends: kde-style-lipstik, kdm, kdebase-workspace-bin, kwin-style-crystal, bibletime, ichthux-emoticons, kubuntu-default-settings
+Depends: kdm, kdebase-workspace-bin, kwin-style-crystal, bibletime, ichthux-emoticons, kubuntu-default-settings
 Description: Default settings and artwork for the Ichthux desktop
  This package contains the default settings used by Ichthux.  It also
  includes artwork and Ichthux branding.

## ichthux-default-settings 6.10-2ubuntu4

=== Makefile ===
--- 
+++ 
@@ -11,15 +11,15 @@
 CURSOR_DIR = "$(DESTDIR)/usr/share/icons/ichthux"
 
 build:
-	make -C usplash
+	#make -C usplash
 	make -C artwork/throbber
 
 clean:
-	make -C usplash clean
+	#make -C usplash clean
 	make -C artwork/throbber clean
 
 install:
-	make -C usplash install
+	#make -C usplash install
 	make -C artwork/throbber install
 
 	mkdir -p "$(WALLPAPER_DIR)"

=== debian/changelog ===
ichthux-default-settings (1:6.10-2ubuntu4) oneiric; urgency=low

  * Stop building the usplash theme, as usplash has been inoperative for
    some time and libusplash-dev is no longer available (LP: #836795).
    Somebody responsible for Ichthux needs to convert this to a Plymouth
    theme instead.
  * Explicitly set DESTDIR to debian/tmp, since cdbs no longer does so now
    that we only build a single binary package.
  * Explicitly build-depend on ghostscript; montage requires it but
    imagemagick only Recommends it.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 11 Sep 2011 18:00:42 +0100

=== debian/control ===
Source: ichthux-default-settings
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Raphaël Pinson <raphink@ichthux.com>
Build-Depends: debhelper (>= 5), cdbs, libbogl-dev, librsvg2-bin, imagemagick, ghostscript
Standards-Version: 3.8.0

Package: ichthux-default-settings
Architecture: all
Depends: kdm, kdebase-workspace-bin, kwin-style-crystal, bibletime, ichthux-emoticons, kubuntu-default-settings
Description: Default settings and artwork for the Ichthux desktop
 This package contains the default settings used by Ichthux.  It also
 includes artwork and Ichthux branding.

#Package: ichthux-artwork-usplash
#Architecture: any
#Depends: ${shlibs:Depends}
#Recommends: usplash
#Description: Ichthux artwork for usplash
# The usplash startup screen for Ichthux.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_MAKE_INSTALL_TARGET := install DESTDIR="$(CURDIR)/debian/tmp"
DEB_INSTALL_DOCS_ALL :=
